aboutsummaryrefslogtreecommitdiffstats
path: root/extra/libnfnetlink/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-20 15:52:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-20 15:52:21 +0000
commita3207705e61d74f059faa02b2ccf3438dd4a8443 (patch)
tree4ac63e0bfd7ced35f35be9398b4183e3cea3610e /extra/libnfnetlink/APKBUILD
parent539d2f79a031faf43d48506271ed8c0967a54ae7 (diff)
downloadaports-a3207705e61d74f059faa02b2ccf3438dd4a8443.tar.bz2
aports-a3207705e61d74f059faa02b2ccf3438dd4a8443.tar.xz
extra/libnfnetlink: new aport
low-level library for netfilter related kernel/userspace communication http://www.netfilter.org/projects/libnfnetlink/
Diffstat (limited to 'extra/libnfnetlink/APKBUILD')
-rw-r--r--extra/libnfnetlink/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/extra/libnfnetlink/APKBUILD b/extra/libnfnetlink/APKBUILD
new file mode 100644
index 0000000000..924f62e121
--- /dev/null
+++ b/extra/libnfnetlink/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libnfnetlink
+pkgver=0.0.40
+pkgrel=0
+pkgdesc="low-level library for netfilter related kernel/userspace communication"
+url="http://www.netfilter.org/projects/libnfnetlink/"
+license="GPL-2"
+depends="uclibc"
+makedepends=""
+subpackages="$pkgname-dev"
+source="http://www.netfilter.org/projects/libnfnetlink/files/libnfnetlink-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="3fe19dc4b05ba7e7e6216123097c2819 libnfnetlink-0.0.40.tar.bz2"